Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Jul 2021 17:52:43 +0200

Juri Linkov <[email-masked]> writes:

> Exactly.  But this means that you need to populate a new separate map
> 'gdb-repeat-map' specific to 'gdb' commands.  Also I noticed that the
> current name of 'gud-repeat-map' is wrong.  It should be renamed to
> 'gud-gdb-repeat-map'.  So other debuggers could populate own repeat-maps
> named e.g. 'sdb-repeat-map', 'jdb-repeat-map', 'perldb-repeat-map', etc.

I see.  Then Brian's patch is functionally correct, but it shouldn't be
copy-and-pasted -- instead separating it out into a helper function and
using it both places seems like the correct thing to do.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no